@charset "UTF-8" ;

/* ==================================
共通
================================== */
html {
  width: 100%;
  font-size: 100%;
  max-width: 1980px;
  scroll-behavior: smooth;
  position: relative;
  overflow-x: hidden !important;
  background: #f8f9f9;
}
body {
  width: 100%;
  /* max-width: 1980px; */
  margin: 0 auto;
  position: relative;
  overflow-x: hidden !important;
}
img {
  max-width: 100%;
	vertical-align: bottom;
}
li {
    list-style: none;
}
a {
  color: #000;
  text-decoration: none;
  /* font-family: "dnp-shuei-mgothic-std", sans-serif !important; */
  font-style: normal;
  text-decoration: none;
  letter-spacing: 0.1rem;
}
p {
  font-size: 14px;
  letter-spacing: 0.1rem;
  line-height: 32px;
  font-family: "dnp-shuei-mgothic-std", sans-serif;
}
h2 {
  line-height: 55px;
  letter-spacing: 0.2rem;
}
h3 {
    color: #000;
    font-size: 24px;
    font-weight: normal;
    font-family: sans-serif;
    font-weight: 500;
    list-style: 0.2rem;
    line-height: 1.5;
}
/* header a {
  font-family: "dnp-shuei-mgothic-std", sans-serif !important;
} */
/* スクロールしたら下から出現 */
.fadein_from-above {
  transform: translateY(-20px);
  opacity: 0;
  transition: all 1s ease;
}
.fadein_from-above.show {
  transform: translateY(0);
  opacity: 1;
}
/* スクロールしたら下から出現 */
.fadein_from-below {
  transform: translateY(20px);
  opacity: 0;
  transition: all 2s ease;
}
.fadein_from-below.show {
  transform: translateY(0);
  opacity: 1;
}
/* スクロールしたらその場で出現 */
.fadein_on-the-spot {
  transform: translateY(0px);
  opacity: 0;
  transition: all 3s ease;
}
.fadein_on-the-spot.show {
  transform: translateY(0);
  opacity: 1;
}
.fadein-fv {
  transform: translateY(0px);
  opacity: 0;
  transition: all 6s ease;
}
.fadein-fv.show {
  transform: translateY(0);
  opacity: 1;
}
/* スクロールしたら左から出現 */
.fadein_from-left {
  transform: translateX(-20px);
  opacity: 0;
  transition: all 0.5s ease;
}
.fadein_from-left.show {
  transform: translateX(0);
  opacity: 1;
}
/* スクロールしたら右から出現 */
.fadein_from-right {
  transform: translateX(20px);
  opacity: 0;
  transition: all 0.5s ease;
}
.fadein_from-right.show {
  transform: translateX(0);
  opacity: 1;
}

/* ==================================
上へ戻るボタン
================================== */
.page-top {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: center;
  right: 60px;
  bottom: 20px;
  cursor: pointer;
  opacity: 0; 
  pointer-events: none; 
  border: 0;
  background: none;
 transform: translateY(20px); /* 下からふわっと出る */
  transition: 
    opacity 0.6s ease,
    transform 0.6s cubic-bezier(0.25, 0.8, 0.25, 1);
}
.page-top span:before {
  position: absolute;
  top: -22px;
  left: 5px;
  transform: rotate(-45deg);
  display: block;
  width: 12px;
  height: 12px;
  content: "";
  border: 0.5px solid #000;
  border-width: 1px 1px 0px 0px;
}
.page-top span:after {
  position: absolute;
  width: 50px;
  height: 50px;
  border: 1px solid #b61c1c;
  content: "";
  top: -43px;
  left: -15px;
  border-radius: 50%;
  transition: transform 0.8s;
}
.page-top.active {
  opacity: 1; 
  pointer-events: auto; 
  transform: translateY(0); 
}

.page-top:hover span:after {
  border: 1px solid #000;
}



/* ==================================
各セクション 見出しタイトル
================================== */
.section_title {
  display: flex;
  align-items: baseline;
  gap: 10px;
  margin-bottom: 40px;
}

/* フェードイン（既存設計に合わせる） */
.fadein_from-above {
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.8s ease, transform 0.8s ease;
}
.fadein_from-above.show {
  opacity: 1;
  transform: translateY(0);
}

.slash {
  position: relative;
  width: 50px;
  height: 60px;
  left: -10px;
  overflow: hidden;
}
.slash1 {
  position: absolute;
  width: 10px;
  height: 60px;
  background: #000;
  transform: skewX(-20deg) scaleY(0);
  transform-origin: top;
}
.slash2 {
  position: absolute;
  width: 1px;
  height: 60px; 
  background: #000;
  transform: skewX(-20deg) scaleY(0);
  transform-origin: top;
}
.slash i:nth-child(1) {
  right: 5px;
}
.slash i:nth-child(2) {
  right: 0;
  background: #000;
}

/* showが付いたらアニメーション開始 */
.fadein_from-above.show .slash i {
  animation: shootingLine 0.8s cubic-bezier(.4,0,.2,1) forwards;
}
.fadein_from-above.show .slash i:nth-child(2) {
  animation-delay: 0.12s;
}

@keyframes shootingLine {
  0% {
    transform: skewX(-20deg) scaleY(0);
    opacity: 0;
  }
  20% {
    opacity: 1;
  }
  100% {
    transform: skewX(-20deg) scaleY(1);
    opacity: 1;
  }
}

.jp {
  color: #000;
  font-size: 10px;
  font-family: sans-serif;
  font-weight: 400;
  line-height: 1;
  white-space: nowrap;
}
.en {
  color: #000;
  font-size: 36px;
  font-weight: 500;
  font-family: sans-serif;
  line-height: 1;
}
.en span {
  color: #b61c1c;
}



/* ===== ローディングアニメーション ===== */
.loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 1000;
  background-color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  animation: fadeOut 1.0s 2.0s forwards;
}
@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
}
.loading__logo {
  opacity: 0;
  animation: logo_fade 2s 0.5s forwards;
  width: 175px;
}
@keyframes logo_fade {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }
  60% {
    opacity: 1;
    transform: translateY(0);
  }
  100% {
    opacity: 0;
  }
}


/* ===== header-mv ===== */
.header-bg-wrap {
    max-width: 1100px;
    width: 100%;
    margin: 0 auto;
    padding: 200px 40px;
}
.fv-content {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 1.5s ease, transform 1.5s ease;
}

.fv-content.show {
  opacity: 1;
  transform: translateY(0);
}
.fv-content.show .fv_txt {
  animation: textanimation 1s forwards;
}
.fv_txt img {
  height: 100px;
  width: 100%;
}
.txt_height30 img {
  height: 30px;
}
.txt_height80 img {
  height: 80px;
}
.txt_height120 img {
  height: 120px;
}
.txt {
  display: flex;
  flex-direction: column;
  gap: 20px;
  position: relative;
}

/* .fv_img {
  width: 300px;
  height: 300px;
  background: url(../img/fv_item/img/AdobeStock_1339894851_Preview.jpeg) center/cover;
  clip-path: path("M155 8 C235 5 290 55 292 125 C295 185 250 240 190 270 C140 295 90 285 65 250 C30 220 15 180 25 135 C35 95 25 55 60 35 C95 10 125 12 155 8 Z");
  position: absolute;
  top: -100px;
  right: 0;
  overflow: hidden;
}
.fv_img img {
  object-fit: contain;
  transform: scale(2);
} */

/* act */
.act_flex {
  display: flex;
  gap: 20px;
  align-items: center;
  /* padding-left: 15px; */
}
.act {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.act .fv_txt img {
  height: auto;
  width: 150px;
}
.act_txt {
  writing-mode: vertical-rl;
}
.act_txt p {
  font-size: 18px;
  letter-spacing: 0.3rem;
  padding-top: 10px;
}

/* act とwonder/essentiallyのflex */
.fv_txt_flex {
  display: flex;
  gap: 20px;
  align-items: center;
}
.w-e_flex {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* wonderの「o」 */
.fv_txt-o {
  width: 11%;
  aspect-ratio: 1;
  border-radius: 43% 57% 42% 58% / 50% 54% 46% 50%;
  overflow: hidden;
}
.fv_txt-o img {
  object-fit: contain;
  transform: scale(2);
}

/* design */
.design,
.essentially {
    display: flex;
    align-items: end;
    gap: 10px;
    overflow: hidden;
}
.essentially {
  padding-left: 10px;
}
.wonder {
  display: flex;
  align-items: end;
  gap: 10px;
  overflow: hidden;
}






/* ==================================
ミッション
================================== */
.mission {
  display: flex;
  max-width: 1200px;
  margin: 0 auto;
  padding: 100px 40px;
}

.mission-left {
  flex: 1;
}

.mission-right {
  flex: 1;
  text-align: right;
}

.mission-right img {
  max-width: 800px !important;
  height: auto;
  width: 100%;
}

/* テキスト */
.mission-label {
  font-size: 12px;
  font-weight: bold;
  letter-spacing: 0.1em;
  margin-bottom: 24px;
}

.mission-catch {
  font-size: 36px;
  font-weight: 500;
  color: #b61c1c;
  letter-spacing: 0.3rem;
  margin-top: 20px;
}

/* 流れる文字 */
.marquee {
  overflow: hidden;
  white-space: nowrap;
  /* margin: 16px 0; */
}

.marquee-track {
  display: inline-block;
  font-family: sans-serif;
  font-size: 120px;
  line-height: 1;
  font-weight: 700;
  color: transparent; /* 塗りを透明に */
  -webkit-text-stroke: 1px rgba(0, 0, 0, 0.15);
  animation: marquee 25s linear infinite;
  position: absolute;
}

@keyframes marquee {
  from {
    transform: translateX(0%);
  }
  to {
    transform: translateX(-50%);
  }
}

/* 説明文 */
.mission-text {
  padding-top: 110px;
}



/* ===============================
   SERVICE
================================ */
.service {
  max-width: 1200px;
  margin: 0 auto;
  padding: 100px 40px;
}
.service__head {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 60px;
}
.service__slash {
  font-weight: bold;
}
.service .section_title {
  margin-bottom: 0;
}


/* ===============================
   CARD LAYOUT
================================ */

.service__list_wrap {
  display: flex;
  flex-direction: column;
  margin-bottom: 140px;
}

.service__list {
  display: flex;
  gap: 40px;
  justify-content: center;
}

.service__card {
  position: relative;
  border: 0.5px solid #000;
  border-radius: 16px;
  padding: 40px 20px;
  text-align: center;
  background: #fff;
  min-width: 350px;
  width: 100%;
  height: 450px;
  box-shadow: 0 4px 4px rgb(0 0 0 / 0.2), inset 0 1px 3px rgb(255 255 255 / 0.3);
  --offsetY: 0px; /* デフォルト */
  transition: transform 0.8s cubic-bezier(.4,0,.2,1),
              box-shadow 0.8s ease;
  transform-style: preserve-3d;
  perspective: 1000px;
  transform: translateY(var(--offsetY));
}

.service__card:nth-child(3n + 1) {
  margin-top: 80px;
}

.service__card:nth-child(3n + 2) {
  margin-top: 40px;
}

.card__inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 1s cubic-bezier(0.4, 0, 0.2, 1);
  transform-style: preserve-3d;
}

/* クリックまたはホバーで回転させる */
.service__card.flipped {
  transform: rotateY(180deg);
}

/* 正面と裏面 */
.card__front,
.card__back {
  position: absolute;
  inset: 0;
  backface-visibility: hidden;
}

.card__back {
  transform: rotateY(180deg);
}


/* 左列 */
/* .service__card:nth-child(3n + 1) {
  transform: translateY(60px);
} */
/* .service__card:nth-child(3n + 1):hover {
  transform: translateY(40px);
} */

/* 中央列 */
/* .service__card:nth-child(3n + 2) {
  transform: translateY(0);
} */
/* .service__card:nth-child(3n + 2):hover {
  transform: translateY(-20px);
} */

/* 右列 */
/* .service__card:nth-child(3n + 3) {
  transform: translateY(-40px);
} */
/* .service__card:nth-child(3n + 3):hover {
  transform: translateY(-60px);
} */

/* 縦書き SERVICE XX */
.service__num {
  position: absolute;
  right: 0;
  top: 0;
  writing-mode: vertical-rl;
  font-size: 10px;
  font-weight: 600;
  letter-spacing: .2em;
  color: #e60012;
}

/* アイコン */
.service__icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100px;
  height: 100px;
  background: #000;
  border-radius: 50%;
  margin: 0 auto;
  position: relative;
}
.service__icon img {
  height: 40px;
}
.service__icon::after {
  content: "";
  position: absolute;
  bottom: -40px;
  left: 50%;
  width: 1px;
  height: 40px;
  background: #000;
  transform: translateX(-50%);
}

/* テキスト */
.service__card h3 {
  font-size: 21px;
  margin: 60px 0 20px;
}

.service__card p {
  font-size: 14px;
  line-height: 1.8;
  color: #333;
}

/* タグ */
.service__tags {
  display: flex;
  justify-content: center;
  gap: 5px;
  margin-top: 20px;
}

.service__tags span {
  background: #000;
  color: #fff;
  font-size: 10px;
  width: 110px;
}
/* .service__card:hover {
  transform: translateY(40px);
  transition: 0.5s ease;
  cursor: pointer;
} */




/* 画面幅いっぱい用ラッパー */
.hero-content {
  background-image: url(../img/company/company_bg.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  width: 100%;
  height: 900px;

  display: flex;
  flex-direction: column;
  justify-content: center;
  color: #fff;
}
.hero {
  position: relative;
  height: 900px;
  overflow: hidden;
}
.company_text_wrap {
  max-width: 1200px;
  width: 100%;
  margin: 0 auto;
  padding: 0 40px;
}
.hero-content h1 {
  font-size: 36px;
  margin-bottom: 20px;
}

.company-catch {
  font-size: 36px;
  font-weight: bold;
  color: #fff;
  letter-spacing: 0.3rem;
  margin: 0;
}
.company_text {
  padding-bottom: 40px;
}

#svg-mask {
  width: 100%;
  max-width: 700px;
  padding: 20px 0;
}
.svg-animation {
  opacity: 0;
  transition: opacity 1s ease;
}

.svg-visible {
  opacity: 1; /* 表示されたとき */
}
/* SVGアニメーションの初期状態 */
.mask-line path {
  stroke: #ffffff; /* 線の色 */
  stroke-width: 12; /* 線幅 */
  stroke-linecap: round; /* 線端の形状 */
  stroke-linejoin: round; /* 角の形状 */
  stroke-dasharray: 3000; /* 線の長さ */
  stroke-dashoffset: 3000; /* 描画位置をずらす */
  transition: stroke-dashoffset 5s ease; /* アニメーションの速度 */
}

/* svg-visibleが追加されたときにアニメーションが開始 */
.svg-visible .mask-line path {
  stroke-dashoffset: 0; /* 描画される */
}

/* 1つ目のpathに遅延を付ける */
.mask-line path:nth-child(1) { animation-delay: 0s; }
.mask-line path:nth-child(2) { animation-delay: 0.1s; }
.mask-line path:nth-child(3) { animation-delay: 0.2s; }

/* 手書き風のアニメーション */
@keyframes draw {
  to {
    stroke-dashoffset: 0; /* 線が描かれる */
  }
}


/* =========================
   右側線画
========================= */
.art {
  position: absolute;
  top: -10%;
  right: -350px;
  max-width: 850px;
  width: 100%;
  /* z-index: 1; */
}




/* =========================
   お知らせ
========================= */
.news {
  display: flex;
  justify-content: space-between;
  gap: 40px;
  max-width: 1300px;
  padding: 200px 40px;
  margin: 0 auto;
  margin-bottom: 200px;
}
.news-sub {
  font-size: 12px;
  letter-spacing: 0.2em;
  margin-bottom: 8px;
}
.news-title {
  font-size: 36px;
  font-weight: 700;
  margin-bottom: 20px;
}
.news-more {
  display: inline-block;
  background: #000;
  color: #fff;
  padding: 14px 40px;
  font-size: 14px;
}
.news-item {
  display: flex;
  border-bottom: 1px solid #ddd;
}
.news-date {
  border-right: 1px solid #ddd;
  padding: 0 40px 0 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-family: sans-serif;
}
.news-date .year {
  display: block;
  font-size: 14px;
}
.news-date .month {
  font-size: 28px;
  font-weight: 700;
}
.news-body {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
  padding: 40px 20px 40px 40px;
  color: #000;
  position: relative;
}
.news-text {
  font-size: 15px;
  line-height: 1.6;
}

/* arrow */
.arrow {
  display: inline-block;
  transition: transform 0.3s ease;
}

/* hover effect */
.news-body:hover .arrow {
  transform: translateX(8px);
}





/* ===============================
   RESPONSIVE
================================ */
/* @media (max-width: 900px) {
  .service__list {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px) {
  .service__list {
    grid-template-columns: 1fr;
  }
} */




/* ==================================
お問い合わせ
================================== */
.contact_wrap {
  padding: 230px 10px 200px 10px;
  background-color: #ebe0cd;
}
.contact_inner_wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.contact_title_service h2 {
  font-size: 48px;
  color: #855a06;
  font-weight: normal;
  letter-spacing: 0.2rem;
}
.contact_title_service h2::before {
  position: absolute;
  font-size: 150px;
  font-weight: 900;
  letter-spacing: 1rem;
  color: rgba(133, 90, 6, 0.1);
  z-index: 0;
}
.contact-title_bg {
  position: relative;
  text-align: center;
}
.contact-title_bg h2 {
  position: relative;
  z-index: 2;
}
.contact-title_bg h2::before {
  content: "CONTACT";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-family: "palast-variable", sans-serif;
  font-variation-settings: "opsz" 160, "wght" 900;
  padding-bottom: 100px;
}
.sub-title_contact {
  color: #855a06;
  font-size: 14px;
  text-align: center;
}


/* ボタン */
.contact-buttons {
  display: flex;
  align-items: end;
  justify-content: center;
  gap: 60px;
  margin-top: 40px;
}
.contact-buttons img {
  height: 15px;
  padding-right: 5px;
}
.contact-buttons p {
  color: #000;
  font-size: 0.8rem;
  text-align: center;
  letter-spacing: 0.1rem;
  padding-bottom: 10px;
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 270px;
  padding: 14px 28px;
  text-decoration: none;
  font-size: 1rem;
  transition: .2s;
  background: #000;
  color: #fff;
  transition: background 0.5s ease-out;
}
.btn:hover {
  background: #fff;
  color: #000;
}



/* -----------------------------------
タブレット 
-------------------------------------- */
@media screen and (max-width: 1230px) {
  .service__list {
    flex-direction: column;
  }
  /* .service__card:nth-child(3n + 1),
  .service__card:nth-child(3n + 2),
  .service__card:nth-child(3n + 3) {
    transform: unset;
  } */
  .service__card:nth-child(3n + 1){
    margin-top: 40px;
  }
  .service__card:nth-child(3n + 2) {
  margin-top: 0;
  }
  .art {
    opacity: 0.2;
    right: -200px;
  }
}
@media screen and (max-width: 840px) {

  /* 共通 */
  .tb_none {
    display: none;
  }

  /* ミッション */
  .mission {
    flex-direction: column;
    gap: 20px;
    align-items: center;
  }
  .mission-right img {
    width: 500px;
  }

    /* news */
  .news {
    flex-direction: column;
    gap: 0;
  }
  .news-date {
        padding: 20px 20px 20px 0;
  }
  .news-body {
    padding: 20px;
  }
}


/* -----------------------------------
スマホ
-------------------------------------- */
@media screen and (max-width: 540px) {
  

  /*  共通 */
.section_title {
  margin-bottom: 40px;
}
.service .section_title {
  margin-bottom: 0;
}
.section_title h2 {
  font-size: 36px;
}
.section_title h2::before {
  font-size: 80px;
}
h3 {
  margin-bottom: 20px;
}
.sp_none {
  display: none;
}
.view-more {
  padding: 10px 28px;
  font-size: 14px;
}

  .art {
    opacity: 0.2;
    right: -200px;
  }

  /* fv */
  .fv_txt img {
    /* height: auto;
    width: 80px; */
    width: auto;
    height: 40px;
  }
  .txt_height80 img {
    width: auto;
    height: 30px;
  }
  .txt_height40 img {
    width: auto;
    height: 40px;
  }
  .txt_height30 img {
    width: auto;
    height: 10px;
  }
  .fv_img {
    display: none;
  }
  .design, .essentially {
    gap: 5px;
  }
  .header-bg-wrap {
    padding: 150px 10px;
  }
  .fv_txt_flex {
    flex-direction: column;
    align-items: baseline;
  }
  .fv_text-dg img {
    width: auto;
    height: 70px;
  }
  .act {
    /* flex-direction: unset; */
    align-items: baseline;
    gap: 5px;
  }
  .act_txt p {
    padding-top: unset;
    font-size: 36px;
    line-height: 1.6;
    /* padding-left: 40px; */

  }
  .act_flex {
    /* flex-direction: column; */
    padding-left: 50px;
    /* align-items: baseline; */
    align-items: center;
  }
  .act_txt {
    writing-mode: unset;
  }
  .act .fv_txt img {
    height: auto;
    width: 40px;
  }
  .wonder {
    gap: 5px;
  }
  .txt_height-w img,
  .txt_height-d img{
    width: auto;
    height: 60px;
  }
  .fv_txt-o {
    width: 12%;
  }
  .essentially {
    /* flex-wrap: wrap; */
    gap: 5px;
    padding-left: unset;
  }
  .txt_height_L img {
    height: 30px;
  }
  /* news */
  .news {
    padding: 100px 10px;
  }

/* ==================================
お問い合わせ
================================== */
.contact_wrap {
  padding: 130px 10px 100px 10px;
}


  /* mission */
  .mission {
    margin-bottom: 0;
  }

  /* about */
  .en {
    font-size: 28px;
  }
  .mission {
    flex-direction: column;
    padding: 100px 10px 50px;
  }
  .mission-catch {
    font-size: 32px;
  }
  .mission-right img {
    width: 350px;
  }

  /* service */
  .service {
    padding: 100px 0 50px 0;
  }
  .service .slash {
    left: unset;
  }
  .service__list_wrap {
    gap: 20px;
    padding: 0 10px;
    margin-top: 40px;
  }
 .service__card:nth-child(3n + 1) {
    margin-top: unset;
  }
  .service__list {
    flex-direction: column;
    gap: 20px;
  }
  .service__card {
    margin: 0 auto;
    min-width: 300px;
  }

  /* スクロールしたらその場で出現 */
.service .fadein_from-below {
  transform: translateY(0px);
  opacity: 0;
  transition: all 3s ease;
}
.service .fadein_from-below {
  transform: translateY(0);
  opacity: 1;
}

  /* company */
  .hero {
    height: 100vh; 
    mask-size: 100% auto;
  }
  .hero-content {
    background-image: url(../img/company/sp_company_bg.png);
    height: 660px;
  }
  /* .art {
    display: none;
  } */
  .company-catch {
    font-size: 32px;
  }
  .company_text_wrap {
    padding: 0 10px;
  }


/* ==================================
safari
================================== */
@supports (-webkit-appearance: none) { 

.fv-title {
  font-size: 28px;
}
}
}



@media (min-width: 541px) {
  .sp_add {
    display: none;
  }
}
